Tcp (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class Tcp

    java.lang.Object
      org.hyperic.sigar.Tcp

All Implemented Interfaces:
  java.io.Serializable

    public class Tcp

extends java.lang.Object
implements java.io.Serializable

Tcp sigar class.

See Also:
  Serialized Form

Constructor Summary
`Tcp()`

Method Summary
`void` | `gather(Sigar sigar)`
`long` | `getActiveOpens()` Get the active_opens.
`long` | `getAttemptFails()` Get the attempt_fails.
`long` | `getCurrEstab()` Get the curr_estab.
`long` | `getEstabResets()` Get the estab_resets.
`long` | `getInErrs()` Get the in_errs.
`long` | `getInSegs()` Get the in_segs.
`long` | `getOutRsts()` Get the out_rsts.
`long` | `getOutSegs()` Get the out_segs.
`long` | `getPassiveOpens()` Get the passive_opens.
`long` | `getRetransSegs()` Get the retrans_segs.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Tcp

    public Tcp()

Method Detail

### gather

    public void gather(Sigar sigar)
                throws SigarException

  Throws:
    `SigarException`

### getActiveOpens

    public long getActiveOpens()

  Get the active_opens.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - Linux: `cat /proc/net/snmp`
  - Solaris: `netstat -s -P tcp`

  Returns:
    active_opens

### getPassiveOpens

    public long getPassiveOpens()

  Get the passive_opens.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - Linux: `cat /proc/net/snmp`
  - Solaris: `netstat -s -P tcp`

  Returns:
    passive_opens

### getAttemptFails

    public long getAttemptFails()

  Get the attempt_fails.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - Linux: `cat /proc/net/snmp`
  - Solaris: `netstat -s -P tcp`

  Returns:
    attempt_fails

### getEstabResets

    public long getEstabResets()

  Get the estab_resets.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - Linux: `cat /proc/net/snmp`
  - Solaris: `netstat -s -P tcp`

  Returns:
    estab_resets

### getCurrEstab

    public long getCurrEstab()

  Get the curr_estab.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - Linux: `cat /proc/net/snmp`
  - Solaris: `netstat -s -P tcp`

  Returns:
    curr_estab

### getInSegs

    public long getInSegs()

  Get the in_segs.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - Linux: `cat /proc/net/snmp`
  - Solaris: `netstat -s -P tcp`

  Returns:
    in_segs

### getOutSegs

    public long getOutSegs()

  Get the out_segs.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - Linux: `cat /proc/net/snmp`
  - Solaris: `netstat -s -P tcp`

  Returns:
    out_segs

### getRetransSegs

    public long getRetransSegs()

  Get the retrans_segs.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - Linux: `cat /proc/net/snmp`
  - Solaris: `netstat -s -P tcp`

  Returns:
    retrans_segs

### getInErrs

    public long getInErrs()

  Get the in_errs.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - Linux: `cat /proc/net/snmp`
  - Solaris: `netstat -s -P tcp`

  Returns:
    in_errs

### getOutRsts

    public long getOutRsts()

  Get the out_rsts.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - Linux: `cat /proc/net/snmp`
  - Solaris: `netstat -s -P tcp`

  Returns:
    out_rsts

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.